<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 5.5.4 (2009/07/07)
 * Compatibility : Guppy v4.6.6+
 * Author   : jrme CROUX (djchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */
if (stristr($_SERVER["SCRIPT_NAME"], "redac_login.inc")) {
  header("location:../index.php");
  die();
}
if(!preg_match('`^[-a-z]+$`',$lng)) die('Error $lng');
// INSERTION FICHIER LANGUE ADM_REDACTEUR
if(file_exists(CHEMIN."plugins/adm_redacteurs/lang/".$lng."-adm_redacteurs".INCEXT)) {
	include(CHEMIN."plugins/adm_redacteurs/lang/".$lng."-adm_redacteurs".INCEXT);
} else {
	include(CHEMIN."plugins/adm_redacteurs/lang/en-adm_redacteurs".INCEXT); // fichier de langue par dfaut
}
//INITIALISATION
unset($log);
unset($upseudo);

// VERIFICATION SESSION
$version = ((substr(phpversion(),0,1) <= 3) || ((substr(phpversion(),0,1) == 4) && (substr(phpversion(),2,1) == 0)))? "old" : "new";

switch($version) {
	case "new" :	 	 
        if (!isset($_SESSION['log']) || ($_SESSION['log'] != "Not logged" && $_SESSION['log'] != "Logged") || !isset($_SESSION['upseudo']) || !file_exists(REP_REDAC.$_SESSION['upseudo'].DBEXT) || !preg_match('`^[-a-z0-9_]+$`i', $_SESSION['upseudo'])) {
        	unset($_SESSION['log']);
            unset($_SESSION['upseudo']);
            session_destroy();
            header("Location:".CHEMIN."plugins/adm_redacteurs/connect.php?lng=".$lng);
            exit();
        } else {
            $log = strip_tags($_SESSION['log']);
            $upseudo = strip_tags($_SESSION['upseudo']);
        }
		break;		 
    case "old" :			 
        if (!isset($HTTP_SESSION_VARS['log']) || ($HTTP_SESSION_VARS['log'] != "Not logged" && $HTTP_SESSION_VARS['log'] != "Logged") || !isset($HTTP_SESSION_VARS['upseudo']) || !file_exists(REP_REDAC.$HTTP_SESSION_VARS['upseudo'].DBEXT) || !preg_match('`^[-a-z0-9_]+$`i', $HTTP_SESSION_VARS['upseudo'])) {
            session_unset();
            session_destroy();
            header("Location:".CHEMIN."plugins/adm_redacteurs/connect.php?lng=".$lng);
            exit();
        } else {
            $log = strip_tags($HTTP_SESSION_VARS['log']);
            $upseudo = strip_tags($HTTP_SESSION_VARS['upseudo']);
        }
		break;	 
    default :
        header("Location:".CHEMIN."plugins/adm_redacteurs/connect.php?lng=".$lng);
        exit();				  
}
?>
