<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 5.5.6 (2010/04/05)
 * Compatibility : Guppy v4.6.6+
 * Author   : jrme CROUX (djchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 *
 * Ce fichier est bas sur le fichier suivant:
 * Plugin Diaporama - Configuration du plugin diaporama    
 * Jean-Michel MISRACHI
 * Web site = http://jmmis.free.fr/
 * e-mail   = jmmis@free.fr
 * version 4.6.11
 * 
 * Fichier modifi par ZebulonT : http://www.cyclotronp.net/
 * pour l'intgration de la Version 4.6.23 du plugin Diaporama de Jean-Mi
 * dans le plugin Adm_redacteurs de djchouix (2008/12/20)
 *
 */
if (stristr($_SERVER["SCRIPT_NAME"], "config.inc")) {
  header("location:../index.php");
  die();
}

define("CHEMIN", "../../");
$lng  = strip_tags($lng);
$pg   = strip_tags($pg);
$plug = strip_tags($plug);
$diapo_cfg_regit = strip_tags($diapo_cfg_regit);
include(CHEMIN."plugins/diaporama/lang/".$lng."-adm.inc");
include_once(CHEMIN."plugins/jmm/functions.php");
include_once(CHEMIN."plugins/diaporama/inc/data_func.inc");

$topmess = $diapo_adm33;
include(CHEMIN."inc/hpage.inc");
htable($diapo_adm33, "100%");

if ($diapo_cfg_regit == "1") {
	$diapo_cfg["titre0"] = $diapo_sb_titre0;
	$diapo_cfg["titre1"] = $diapo_sb_titre1;
	$diapo_cfg["menu"] = $diapo_sb_menu;
	$diapo_cfg["puce"] = $diapo_sb_puce;

	$diapo_cfg["bool_datecre"] = $dp_bool_datecre;
	$diapo_cfg["bool_datemod"] = $dp_bool_datemod;
	$diapo_cfg["bool_nbacces"] = $dp_bool_nbacces;

	$diapo_cfg["bool_print"] = $dp_bool_print;
	$diapo_cfg["bool_react"] = $dp_bool_react;
	$diapo_cfg["bool_email"] = $dp_bool_email;
	
	$diapo_cfg["members"] = $dp_xmembers;
	$diapo_cfg["showmembers"] = $dp_showmembers;

	$diapo_cfg["slide_id"] = $dp_xslide_id;
	$diapo_cfg["delai"] = $dp_xdelai;
	$diapo_cfg["larg_box"] = $dp_xlarg_box;
	$diapo_cfg["slide_seltitre"] = $dp_xslide_seltitre;
	$diapo_cfg["slide_titre0"] = $dp_xslide_titre0;
	$diapo_cfg["slide_titre1"] = $dp_xslide_titre1;
	$diapo_cfg["slide_alt0"] = $dp_xslide_alt0;
	$diapo_cfg["slide_alt1"] = $dp_xslide_alt1;
	$diapo_cfg["nbvigslide"] = $dp_xnbvigslide;

	$diapo_cfg = DP_WriteConfig($diapo_cfg);
	//header("location:".$site[3]."admin/admin.php?lng=fr&pg=plugin&plug=diaporama/inc/admin");
} else {
	$diapo_cfg = DP_ReadConfig();
}

LienConfigBoites($diapo_adm120);
echo "<hr />";
LiensBackLogout($diapo_adm32, "diaporama/inc/admin");
echo "<hr />";

FormBegin("diapo_config", "diaporama/inc/config");
FormHidden("diapo_cfg_regit", 1);
FormButtons();

echo "<fieldset><legend>".$diapo_adm34."</legend>";
FormTextBilingual($diapo_adm35, "diapo_sb_titre0", $diapo_cfg["titre0"], "diapo_sb_titre1", $diapo_cfg["titre1"]);
FormSelectBox($diapo_adm36, "diapo_sb_menu", $diapo_cfg["menu"],
	array(array("0", $admin397), array("1", $admin398), array("2", $admin504), array("3", $admin621)));
//FormInitChar("diapo_config", "diapo_sb_puce");
FormChar($diapo_adm37, "diapo_sb_puce", $diapo_cfg["puce"]);
echo '</fieldset>';

$dp_dbf = SelectDBFieldsByStatus(DP_ReadListDiapo(), 'a');
$dp_list = array(array(0, $diapo_adm714));
$dp_lang = $lng == $lang[0] ? 0 : 1;
foreach ($dp_dbf as $dp_item) {
    $dp_list[] = array($dp_item[1], $dp_item[5 + $dp_lang].' ('.$dp_item[1].')');
}

echo "<fieldset><legend>".$diapo_adm717."</legend>";
FormSelectBox($diapo_adm715, 'dp_xslide_id', $diapo_cfg["slide_id"], $dp_list, $diapo_adm716);
FormSelectBox($diapo_adm712, 'dp_xdelai', $diapo_cfg["delai"],
    array(
        array(1000, '1'.$diapo_adm710), array(2000, '2'.$diapo_adm711), array(3000, '3'.$diapo_adm711), array(4000, '4'.$diapo_adm711), array(5000, '5'.$diapo_adm711),
        array(6000, '6'.$diapo_adm711), array(7000, '7'.$diapo_adm711), array(8000, '8'.$diapo_adm711), array(9000, '9'.$diapo_adm711), array(10000, '10'.$diapo_adm711)
    ), $diapo_adm713);
FormText($diapo_adm719, 'dp_xlarg_box', $diapo_cfg["larg_box"], $diapo_adm720, 10);
FormText($diapo_adm729, 'dp_xnbvigslide', $diapo_cfg["nbvigslide"], $diapo_adm730, 5);
FormSelectBox($diapo_adm721, 'dp_xslide_seltitre', $diapo_cfg["slide_seltitre"], array(array('', $diapo_adm723), array('on', $diapo_adm724)) ,$diapo_adm722);
FormTextBilingual($diapo_adm725, "dp_xslide_titre0", $diapo_cfg["slide_titre0"], "dp_xslide_titre1", $diapo_cfg["slide_titre1"], $diapo_adm726);
FormTextBilingual($diapo_adm727, "dp_xslide_alt0", $diapo_cfg["slide_alt0"], "dp_xslide_alt1", $diapo_cfg["slide_alt1"], $diapo_adm728);
echo '</fieldset>';

echo "<fieldset><legend>".$diapo_adm220."</legend>";
FormCheckBox($diapo_adm221, "dp_bool_datecre", $diapo_cfg["bool_datecre"] == "on", $diapo_adm231);
FormCheckBox($diapo_adm222, "dp_bool_datemod", $diapo_cfg["bool_datemod"] == "on", $diapo_adm232);
FormCheckBox($diapo_adm223, "dp_bool_nbacces", $diapo_cfg["bool_nbacces"] == "on", $diapo_adm233);
FormCheckBox($diapo_adm225, "dp_bool_print", $diapo_cfg["bool_print"] == "on", $diapo_adm235);
/*
FormCheckBox($diapo_adm227, "dp_bool_react", $diapo_cfg["bool_react"] == "on", $diapo_adm237);
FormCheckBox($diapo_adm228, "dp_bool_email", $diapo_cfg["bool_email"] == "on", $diapo_adm238);
*/
echo '</fieldset>';
echo "<fieldset><legend>".$diapo_adm718."</legend>";
FormSelectBox($diapo_adm645, "dp_xmembers", $diapo_cfg["members"],
	array(array("0", $diapo_adm650), array("1", $diapo_adm651), array("2", $diapo_adm652)), $diapo_adm646);
FormCheckBox($diapo_adm653, "dp_showmembers", $diapo_cfg["showmembers"] == "on", $diapo_adm654);
echo '</fieldset>';

echo "<br />";
FormEnd();

echo "<hr />";
LiensBackLogout($diapo_adm32, "diaporama/inc/admin");
echo "<hr />";
VersionAuteurPlugin($diapo_version, $diapo_auteur1, 2.1);
include(CHEMIN."admin/plugins/diaporama/inc/gd2info.inc");
btable();
include(CHEMIN."inc/bpage.inc");
?>
